airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-1265) Exception happens when loading celery configurations.
Date Thu, 29 Jun 2017 23:41:00 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-1265?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16069196#comment-16069196
] 

ASF subversion and git services commented on AIRFLOW-1265:
----------------------------------------------------------

Commit d02e8eb9dbcfd78a0819177fe65189e1eed45673 in incubator-airflow's branch refs/heads/master
from [~supremekai]
[ https://git-wip-us.apache.org/repos/asf?p=incubator-airflow.git;h=d02e8eb ]

[AIRFLOW-1265] Fix celery executor parsing CELERY_SSL_ACTIVE

Changed retrieval of celery/celery_ssl_active to
use configuration.getboolean()

Add correct except block and log warning if
celery/celery_ssl_active key is left undefined

Closes #2341 from holygits/master


> Exception happens when loading celery configurations.
> -----------------------------------------------------
>
>                 Key: AIRFLOW-1265
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-1265
>             Project: Apache Airflow
>          Issue Type: Bug
>         Environment: OSX
>            Reporter: Chienhsiung Chao
>            Assignee: Alex Guziel
>
> airflow@f300f25ced3a:/usr/local/script$ airflow
> [2017-06-02 02:25:59,263] {configuration.py:199} WARNING - section/key [celery/celery_ssl_key]
not found in config
> Traceback (most recent call last):
>   File "/incubator-airflow/airflow/executors/celery_executor.py", line 52, in CeleryConfig
>     BROKER_USE_SSL = {'keyfile': configuration.get('celery', 'CELERY_SSL_KEY'),
>   File "/incubator-airflow/airflow/configuration.py", line 398, in get
>     return conf.get(section, key, **kwargs)
>   File "/incubator-airflow/airflow/configuration.py", line 203, in get
>     "in config".format(**locals()))
> airflow.exceptions.AirflowConfigException: section/key [celery/celery_ssl_key] not found
in config
> During handling of the above exception, another exception occurred:
> Traceback (most recent call last):
>   File "/usr/local/bin/airflow", line 6, in <module>
>     exec(compile(open(__file__).read(), __file__, 'exec'))
>   File "/incubator-airflow/airflow/bin/airflow", line 18, in <module>
>     from airflow.bin.cli import CLIFactory
>   File "/incubator-airflow/airflow/bin/cli.py", line 46, in <module>
>     from airflow import jobs, settings
>   File "/incubator-airflow/airflow/jobs.py", line 66, in <module>
>     class BaseJob(Base, LoggingMixin):
>   File "/incubator-airflow/airflow/jobs.py", line 98, in BaseJob
>     executor=executors.GetDefaultExecutor(),
>   File "/incubator-airflow/airflow/executors/__init__.py", line 43, in GetDefaultExecutor
>     DEFAULT_EXECUTOR = _get_executor(executor_name)
>   File "/incubator-airflow/airflow/executors/__init__.py", line 60, in _get_executor
>     from airflow.executors.celery_executor import CeleryExecutor
>   File "/incubator-airflow/airflow/executors/celery_executor.py", line 38, in <module>
>     class CeleryConfig(object):
>   File "/incubator-airflow/airflow/executors/celery_executor.py", line 60, in CeleryConfig
>     raise AirflowException('Exception: There was an unknown Celery SSL Error.  Please
ensure you want to use '
> airflow.exceptions.AirflowException: Exception: There was an unknown Celery SSL Error.
 Please ensure you want to use SSL and/or have all necessary certs and key.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message